Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.repository
Class ModeShapeLexicon

    java.lang.Object
      org.modeshape.graph.ModeShapeLexicon
          org.modeshape.repository.ModeShapeLexicon

Direct Known Subclasses:
  ModeShapeLexicon

    @Immutable
    public class ModeShapeLexicon

extends ModeShapeLexicon

A lexicon of names used within ModeShape.

Nested Class Summary

Nested classes/interfaces inherited from class org.modeshape.graph.ModeShapeLexicon
`ModeShapeLexicon.Namespace`

Field Summary
`static Name` | `APPLY_TO_NEW_WORKSPACES`
`static Name` | `CLUSTER_NAME`
`static Name` | `CLUSTERING`
`static Name` | `CONFIGURATION`
`static Name` | `CONTENT`
`static Name` | `DEFAULT_CACHE_POLICY`
`static Name` | `DERIVED`
`static Name` | `DERIVED_AT`
`static Name` | `DERIVED_FROM`
`static Name` | `DESCRIPTION`
`static Name` | `DESCRIPTORS`
`static Name` | `GARBAGE_COLLECTION_INTERVAL`
`static Name` | `INITIAL_CONTENT`
`static Name` | `JNDI_NAME`
`static Name` | `MIME_TYPE_DETECTOR`
`static Name` | `MIME_TYPE_DETECTORS`
`static Name` | `OPTIONS`
`static Name` | `PATH_EXPRESSION`
`static Name` | `READABLE_NAME`
`static Name` | `RETRY_LIMIT`
`static Name` | `SEQUENCER`
`static Name` | `SEQUENCERS`
`static Name` | `SOURCE`
`static Name` | `SOURCES`
`static Name` | `TEXT_EXTRACTOR`
`static Name` | `TEXT_EXTRACTORS`
`static Name` | `VALUE`

Fields inherited from class org.modeshape.graph.ModeShapeLexicon
`CLASSNAME, CLASSPATH, DEFAULT_WORKSPACE_NAME, GENERATED, HASHED, MERGE_PLAN, NAMESPACE_URI, NAMESPACES, PROJECTION, PROJECTION_RULES, PROJECTIONS, READ_ONLY, RESOURCE, ROOT, SHA1, SOURCE_NAME, TIME_TO_EXPIRE, URI, UUID, WORKSPACE_NAME, WORKSPACES`

Constructor Summary
`ModeShapeLexicon()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SOURCES

    public static final Name SOURCES

### SOURCE

    public static final Name SOURCE

### READABLE_NAME

    public static final Name READABLE_NAME

### DESCRIPTION

    public static final Name DESCRIPTION

### DESCRIPTORS

    public static final Name DESCRIPTORS

### SEQUENCERS

    public static final Name SEQUENCERS

### SEQUENCER

    public static final Name SEQUENCER

### PATH_EXPRESSION

    public static final Name PATH_EXPRESSION

### JNDI_NAME

    public static final Name JNDI_NAME

### MIME_TYPE_DETECTORS

    public static final Name MIME_TYPE_DETECTORS

### MIME_TYPE_DETECTOR

    public static final Name MIME_TYPE_DETECTOR

### TEXT_EXTRACTORS

    public static final Name TEXT_EXTRACTORS

### TEXT_EXTRACTOR

    public static final Name TEXT_EXTRACTOR

### OPTIONS

    public static final Name OPTIONS

### VALUE

    public static final Name VALUE

### RETRY_LIMIT

    public static final Name RETRY_LIMIT

### DEFAULT_CACHE_POLICY

    public static final Name DEFAULT_CACHE_POLICY

### CLUSTERING

    public static final Name CLUSTERING

### CONFIGURATION

    public static final Name CONFIGURATION

### CLUSTER_NAME

    public static final Name CLUSTER_NAME

### DERIVED

    public static final Name DERIVED

### DERIVED_FROM

    public static final Name DERIVED_FROM

### DERIVED_AT

    public static final Name DERIVED_AT

### GARBAGE_COLLECTION_INTERVAL

    public static final Name GARBAGE_COLLECTION_INTERVAL

### INITIAL_CONTENT

    public static final Name INITIAL_CONTENT

### CONTENT

    public static final Name CONTENT

### APPLY_TO_NEW_WORKSPACES

    public static final Name APPLY_TO_NEW_WORKSPACES

Constructor Detail

### ModeShapeLexicon

    public ModeShapeLexicon()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.